Base and Implementation Classes
Regular Expressions
Collaboration diagram for Base and Implementation Classes:

## Classes

struct | std::__detail::_BracketMatcher< typename, bool, bool >
class | std::__detail::_Compiler< _TraitsT >
class | std::__detail::_Scanner< _CharT >
class | std::__detail::_StateSeq< _TraitsT >

## Typedefs

template<typename _CharT >
using | std::__detail::_Matcher = std::function< bool(_CharT)>
typedef long | std::__detail::_StateIdT

## Enumerations

enum | std::__detail::_Opcode : int { _S_opcode_unknown, _S_opcode_alternative, _S_opcode_backref, _S_opcode_line_begin_assertion, _S_opcode_line_end_assertion, _S_opcode_word_boundary, _S_opcode_subexpr_lookahead, _S_opcode_subexpr_begin, _S_opcode_subexpr_end, _S_opcode_dummy, _S_opcode_match, _S_opcode_accept }

## Functions

template<typename _TraitsT >
std::shared_ptr< _NFA< _TraitsT > > | std::__detail::__compile_nfa (const typename _TraitsT::char_type *__first, const typename _TraitsT::char_type *__last, const _TraitsT &__traits, regex_constants::syntax_option_type __flags)

## Variables

static const _StateIdT | std::__detail::_S_invalid_state_id

## Detailed Description

## Enumeration Type Documentation

enum std::__detail::_Opcode : int

Operation codes that define the type of transitions within the base NFA that represents the regular expression.

Definition at line 51 of file regex_automaton.h.